local _, Addon = ...
local function CreateGlow(self)
	local glow = self:CreateTexture(nil, 'ARTWORK', nil, 2)
	glow:SetTexture('Interface/Buttons/UI-ActionButton-Border')
	glow:SetSize(self.Icon:GetWidth() * 1.7, self.Icon:GetHeight() * 1.7)
	glow:SetPoint('CENTER', self.Icon, 1, 1)
	glow:SetBlendMode('ADD')
	glow:SetAlpha(.9)
	
	self.petTrackerGlow = glow
	return glow
end

hooksecurefunc('PetBattleUnitFrame_UpdateDisplay', function(self)
	local quality = C_PetBattles.GetBreedQuality(self.petOwner, self.petIndex)
	local r, g, b = Addon:GetQualityColor(quality)

	if self.Name then
		self.Name:SetTextColor(r,g,b)
	end
	
	if self.Icon then
		local glow = self.petTrackerGlow or CreateGlow(self)
		glow:SetVertexColor(r,g,b)
	end
end)